Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.team.ui.synchronize
Interface ISynchronizeParticipantReference

public interface ISynchronizeParticipantReference

A reference is a light weight handle used by the `ISynchronizeManager` to manage registered participants. It is used to reference information about a particular participant instance without requiring the participant to be instantiated. Calling the `getParticipant()` method will cause the participant to be instantiated.

Clients are not intended to implement this interface.

Since:
  3.0
See Also:
  `ISynchronizeManager`

Method Summary
`ISynchronizeParticipantDescriptor` | `getDescriptor()` Returns the descriptor for this participant type.
`String` | `getDisplayName()` Returns the fully qualified name of this participant reference.
`String` | `getId()` Returns the id of the participant type referenced by this handle.
`ISynchronizeParticipant` | `getParticipant()` Returns the participant referenced by this handle.
`String` | `getSecondaryId()` Returns the secondary id (e.g. instance id) of the participant type referenced by this handle or `null` if the participant doesn't support multiple instances.

Method Detail

### getId

    public String getId()

  Returns the id of the participant type referenced by this handle.

  Returns:
    the id of the participant type references by this handle.

### getSecondaryId

    public String getSecondaryId()

  Returns the secondary id (e.g. instance id) of the participant type referenced by this handle or `null` if the participant doesn't support multiple instances.

  Returns:
    the secondary id of the participant type referenced by this handle or `null` if the participant doesn't support multiple instances.

### getDisplayName

    public String getDisplayName()

  Returns the fully qualified name of this participant reference. This includes the secondaryId if available. This can be displayed in the user interface to allow the user to distinguish between multiple instances of a participant.

  Returns:
    the fully qualified name of this participant reference

### getParticipant

    public ISynchronizeParticipant getParticipant()
                                           throws TeamException

  Returns the participant referenced by this handle. This may trigger loading of the participant and and a result may be long running. The method may return `null` if the participant cannot be de-referenced.

  Returns:
    the participant referencesd by this handle.
  Throws:
    `TeamException`

### getDescriptor

    public ISynchronizeParticipantDescriptor getDescriptor()

  Returns the descriptor for this participant type.

  Returns:
    the descriptor for this participant type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.